ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
Asn1cEncDec.hh File Reference
`#include "TTCN3.hh"`
`#include "asn1c/INTEGER.h"`
`#include "asn1c/BOOLEAN.h"`
`#include "asn1c/OCTET_STRING.h"`
`#include "asn1c/BIT_STRING.h"`

Go to the source code of this file.

## Functions
int | asn1c_collect_encoded_data (const void *buffer, size_t size, void *application_specific_key)
template<typename TT , typename TA >
TT | asn1c2titan (const TA &a)
void | titan2asn1c (const INTEGER &t, long &a)
void | titan2asn1c (const INTEGER &t, unsigned long &a)
void | titan2asn1c (const INTEGER &t, INTEGER_t &a)
void | titan2asn1c (const BOOLEAN &t, BOOLEAN_t &a)
void | titan2asn1c (const OCTETSTRING &t, OCTET_STRING_t &a)
void | titan2asn1c (const BITSTRING &t, BIT_STRING_t &a)
INTEGER | asn1c2titan (const INTEGER_t &)
INTEGER | asn1c2titan (long)
OCTETSTRING | asn1c2titan (const OCTET_STRING_t &)
BITSTRING | asn1c2titan (const BIT_STRING_t &)
template<typename TT , typename TA >
OPTIONAL< TT > | asn1c2titan_opt (const TA *pa)
template<typename TT , typename TA >
void | titan2asn1c_opt (const OPTIONAL< TT > &ot, TA *&a)
template<typename T , typename TS , typename TA >
void | titan2asn1c_seq (const TS &t, TA &a)
template<typename TS , typename TA >
TS | asn1c2titan_seq (const TA &a)
int | asn1c_per2ber (asn_TYPE_descriptor_t &td, const TTCN_Buffer &per, TTCN_Buffer &ber, void **ctx)
int | asn1c_ber2per (asn_TYPE_descriptor_t &td, const TTCN_Buffer &ber, TTCN_Buffer &per, void **ctx)

## Function Documentation

## ◆ asn1c2titan() [1/5]

template<typename TT , typename TA >

TT asn1c2titan | ( | const TA & | a | ) |

## ◆ asn1c2titan() [2/5]

INTEGER asn1c2titan | ( | const INTEGER_t & |  | ) |

## ◆ asn1c2titan() [3/5]

INTEGER asn1c2titan | ( | long |  | ) |

## ◆ asn1c2titan() [4/5]

OCTETSTRING asn1c2titan | ( | const OCTET_STRING_t & |  | ) |

## ◆ asn1c2titan() [5/5]

BITSTRING asn1c2titan | ( | const BIT_STRING_t & |  | ) |

## ◆ asn1c2titan_opt()

template<typename TT , typename TA >

OPTIONAL<TT> asn1c2titan_opt | ( | const TA * | pa | ) |

## ◆ asn1c2titan_seq()

template<typename TS , typename TA >

TS asn1c2titan_seq | ( | const TA & | a | ) |

## ◆ asn1c_ber2per()

int asn1c_ber2per | ( | asn_TYPE_descriptor_t & | td,
|  | const TTCN_Buffer & | ber,
|  | TTCN_Buffer & | per,
|  | void ** | ctx
| ) |  |

## ◆ asn1c_collect_encoded_data()

int asn1c_collect_encoded_data | ( | const void * | buffer,
|  | size_t | size,
|  | void * | application_specific_key
| ) |  |

## ◆ asn1c_per2ber()

int asn1c_per2ber | ( | asn_TYPE_descriptor_t & | td,
|  | const TTCN_Buffer & | per,
|  | TTCN_Buffer & | ber,
|  | void ** | ctx
| ) |  |

## ◆ titan2asn1c() [1/6]

void titan2asn1c | ( | const INTEGER & | t,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [2/6]

void titan2asn1c | ( | const INTEGER & | t,
|  | unsigned long & | a
| ) |  |

## ◆ titan2asn1c() [3/6]

void titan2asn1c | ( | const INTEGER & | t,
|  | INTEGER_t & | a
| ) |  |

## ◆ titan2asn1c() [4/6]

void titan2asn1c | ( | const BOOLEAN & | t,
|  | BOOLEAN_t & | a
| ) |  |

## ◆ titan2asn1c() [5/6]

void titan2asn1c | ( | const OCTETSTRING & | t,
|  | OCTET_STRING_t & | a
| ) |  |

## ◆ titan2asn1c() [6/6]

void titan2asn1c | ( | const BITSTRING & | t,
|  | BIT_STRING_t & | a
| ) |  |

## ◆ titan2asn1c_opt()

template<typename TT , typename TA >

void titan2asn1c_opt | ( | const OPTIONAL< TT > & | ot,
|  | TA *& | a
| ) |  |

## ◆ titan2asn1c_seq()

template<typename T , typename TS , typename TA >

void titan2asn1c_seq | ( | const TS & | t,
|  | TA & | a
| ) |  |